# Popup
declaration: package: lecteur_pdf, class: Popup

Package lecteur_pdf

# Class Popup

java.lang.Object
lecteur_pdf.Popup

public class Popup extends Object
Classe outils permettant de créer des fenêtres popups

Author:
  Léo Franch, Tristan Nogaret, Lucàs Vabre, Noé Villeneuve

## Constructor Summary

Constructors
Constructor
Description
`Popup()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`errorPopup(Component parent, String titre, String message)`
Créé une nouvelle `fenêtre` comportant un message d'erreur avec un bouton OK
`static int`
`OuiNonPopup(Component parent, String titre, String message)`
Créé une nouvelle fenêtre comportant un message et deux boutons : Oui et Non

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Popup

public Popup()

## Method Details

### OuiNonPopup

public static int OuiNonPopup(Component parent, String titre, String message)
Créé une nouvelle fenêtre comportant un message et deux boutons : Oui et Non

Parameters:
  `parent` - La `fenêtre` parente de référence
  `titre` - Titre de la `fenêtre`
  `message` - Message affiché dans la `fenêtre`
Returns:
  - `JOptionPane`.YES_OPTION si oui est cliqué
  - `JOptionPane`.NO_OPTION si non est cliqué
See Also:
  - `JOptionPane`

### errorPopup

public static void errorPopup(Component parent, String titre, String message)
Créé une nouvelle `fenêtre` comportant un message d'erreur avec un bouton OK

Parameters:
  `parent` - La `fenêtre` parente de référence
  `titre` - Titre de la `fenêtre`
  `message` - Message d'erreur
See Also:
  - `JOptionPane`